Creates a new dashboard from provided data
curl --request POST \
--url https://api.rootly.com/v1/dashboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "dashboards",
"attributes": {
"name": "<string>",
"owner": "user",
"description": "<string>",
"public": true,
"range": "<string>",
"auto_refresh": true,
"color": "#FCF2CF",
"icon": "<string>",
"period": "day"
}
}
}
'{
"data": {
"id": "<string>",
"type": "dashboards",
"attributes": {
"name": "<string>",
"owner": "user",
"public": true,
"team_id": 123,
"user_id": 123,
"description": "<string>",
"range": "<string>",
"period": "<string>",
"auto_refresh": true,
"color": "#FCF2CF",
"icon": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}
}Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/dashboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "dashboards",
"attributes": {
"name": "<string>",
"owner": "user",
"description": "<string>",
"public": true,
"range": "<string>",
"auto_refresh": true,
"color": "#FCF2CF",
"icon": "<string>",
"period": "day"
}
}
}
'{
"data": {
"id": "<string>",
"type": "dashboards",
"attributes": {
"name": "<string>",
"owner": "user",
"public": true,
"team_id": 123,
"user_id": 123,
"description": "<string>",
"range": "<string>",
"period": "<string>",
"auto_refresh": true,
"color": "#FCF2CF",
"icon": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}
}